%global reldate .201505161813
%global pkgversion %{version}%{?reldate}

Name:          java-util
Version:       1.19.3
Release:       1%{?dist}
Summary:       Java Utilities
# Source files without license headers https://github.com/jdereg/java-util/issues/35
License:       ASL 2.0
URL:           https://github.com/jdereg/java-util
Source0:       https://github.com/jdereg/java-util/archive/%{pkgversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.logging.log4j:log4j-api)
BuildRequires: mvn(org.apache.logging.log4j:log4j-core)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.powermock:powermock-api-mockito)
BuildRequires: mvn(org.powermock:powermock-module-junit4)

BuildArch:     noarch

%description
Java Utilities.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n java-util-%{pkgversion}

# Useless tasks
%pom_remove_plugin :maven-deploy-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-source-plugin

# IllegalArgumentException: Unable to parse: Tue Jun 21 15:52:55 CEST 2016
rm src/test/java/com/cedarsoftware/util/TestDateUtilities.java
# AssertionError: expected:<["test-passed"]> but was:<null>
rm src/test/java/com/cedarsoftware/util/TestUrlInvocationHandlerWithPlainReader.java \
# UnknownHost
rm src/test/java/com/cedarsoftware/util/TestInetAddressUtilities.java \
 src/test/java/com/cedarsoftware/util/TestUrlUtilities.java

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Jun 21 2016 gil cattaneo <puntogil@libero.it> 1.19.3-1
- initial rpm
